Package com.ngrok.services

# Class SshCredentials

java.lang.Object
com.ngrok.services.SshCredentials

public class SshCredentials extends Object
SSH Credentials are SSH public keys that can be used to start SSH tunnels via the ngrok SSH tunnel gateway. See also https://ngrok.com/docs/api#api-ssh-credentials.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `class`
  `SshCredentials.CreateCallBuilder`
  A builder object encapsulating state for an unsent Create API call.
  `class`
  `SshCredentials.DeleteCallBuilder`
  A builder object encapsulating state for an unsent Delete API call.
  `class`
  `SshCredentials.GetCallBuilder`
  A builder object encapsulating state for an unsent Get API call.
  `class`
  `SshCredentials.ListCallBuilder`
  A builder object encapsulating state for an unsent List API call.
  `class`
  `SshCredentials.UpdateCallBuilder`
  A builder object encapsulating state for an unsent Update API call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SshCredentials(NgrokApiClient apiClient)`
  Creates a new sub-client for SshCredentials.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `SshCredentials.CreateCallBuilder`
  `create(String publicKey)`
  Create a new ssh_credential from an uploaded public SSH key.
  `SshCredentials.DeleteCallBuilder`
  `delete(String id)`
  Delete an ssh_credential by ID See also https://ngrok.com/docs/api#api-ssh-credentials-delete.
  `SshCredentials.GetCallBuilder`
  `get(String id)`
  Get detailed information about an ssh_credential See also https://ngrok.com/docs/api#api-ssh-credentials-get.
  `SshCredentials.ListCallBuilder`
  `list()`
  List all ssh credentials on this account See also https://ngrok.com/docs/api#api-ssh-credentials-list.
  `SshCredentials.UpdateCallBuilder`
  `update(String id)`
  Update attributes of an ssh_credential by ID See also https://ngrok.com/docs/api#api-ssh-credentials-update.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SshCredentials

    public SshCredentials(NgrokApiClient apiClient)
    Creates a new sub-client for SshCredentials.
    Parameters:
      `apiClient` - an instance of `NgrokApiClient`

- ## Method Details

  - ### create

    public SshCredentials.CreateCallBuilder create(String publicKey)
    Create a new ssh_credential from an uploaded public SSH key. This ssh credential can be used to start new tunnels via ngrok's SSH gateway. See also https://ngrok.com/docs/api#api-ssh-credentials-create.
    Parameters:
      `publicKey` - the PEM-encoded public key of the SSH keypair that will be used to authenticate
    Returns:
      a call builder for this API call

  - ### delete

    public SshCredentials.DeleteCallBuilder delete(String id)
    Delete an ssh_credential by ID See also https://ngrok.com/docs/api#api-ssh-credentials-delete.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### get

    public SshCredentials.GetCallBuilder get(String id)
    Get detailed information about an ssh_credential See also https://ngrok.com/docs/api#api-ssh-credentials-get.
    Parameters:
      `id` - a resource identifier
    Returns:
      a call builder for this API call

  - ### list

    public SshCredentials.ListCallBuilder list()
    List all ssh credentials on this account See also https://ngrok.com/docs/api#api-ssh-credentials-list.
    Returns:
      a call builder for this API call

  - ### update

    public SshCredentials.UpdateCallBuilder update(String id)
    Update attributes of an ssh_credential by ID See also https://ngrok.com/docs/api#api-ssh-credentials-update.
    Parameters:
      `id` - the value of the `id` parameter as a `String`
    Returns:
      a call builder for this API call